/* You can add global styles to this file, and also import other style files */
/* General - Body */
* {
  font-family: Arial, Georgia, sans-serif;
}
html {
	height: 100%;
}
body {
  	margin: 3em;
  	background-image: url("./assets/background-marvel-1.jpg");
	background-repeat: repeat;
	position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    min-width: 300px;
    min-height: 455px;
}
@media screen and (max-width: 768px) {
	body{
		margin: 1em;
	}
}
@media screen and (max-width: 374px) {
	body{
		margin: 8px;
	}
}
app-root {
	height: 100%;
	display: block;
	border-radius: 5px 5px 4px 4px;
	box-shadow: -3px 3px 5px #161616;
	max-width: 915px;
	margin: 0 auto;
    position: relative;
}
@media screen and (max-width: 480px) {
	app-root {
		height: auto;
	}
	h2 {
		text-align: center;
	}
}
app-heroes-info-modal {
    display: none;
}

/* Grid */
.row {
	display: block;
	width: 100%;
	margin-top: 10px;
	margin-bottom: 10px;
	float: left;
}
.col-2 {
    width: 16.6%;
    margin-top: 4px;
    margin-bottom: 4px;
    float: left;
}
.col-3 {
	width: 25%;
	margin-top: 4px;
	margin-bottom: 4px;
	float: left;
}
.col-6 {
	width: 50%;
	margin-top: 4px;
	margin-bottom: 4px;
	float: left;
}
.col-10 {
    width: 83.3%;
    margin-top: 4px;
    margin-bottom: 4px;
    float: left;
}
.col-12 {
	width: 100%;
	margin-top: 4px;
	margin-bottom: 4px;
	float: left;
}
@media screen and (max-width: 480px) {
	.col-3{
		width: 100%;
	}
	.col-3, .col-6, .col-12, .row{
		float: unset;
	}
}
@media screen and (max-width: 768px) and (min-width: 481px){
	.col-3{
		width: 50%;
	}
}
@media screen and (max-width: 1023px) and (min-width: 769px) {
	.col-3{
		width: 35%;
	}
}

/* Buttons */
button.btn-round {
    border-radius: 15px;
    border: none;
    height: 22px;
    width: 22px;
    color: white;
    font-weight: 700;
    box-shadow: -1px 1px 4px #151515;
    cursor: pointer;
    position: relative;
}
button.btn-round:hover {
	box-shadow: unset;
    top: 2px;
    right: 2px;
}
button.btn-round:active {
	box-shadow: inset 0px 0px 6px #696969;
    top: 2px;
    right: 2px;
}
button.btn-rectangular {
    border-radius: 2px;
    border: none;
    height: 29px;
    width: 84px;
    color: white;
    font-weight: 700;
    box-shadow: -1px 1px 4px #151515;
    cursor: pointer;
    font-size: 13px;
    margin: 2px;
    position: relative;
}
button.btn-rectangular:hover {
	box-shadow: unset;
    top: 2px;
    right: 2px;
}
button.btn-rectangular:active {
	box-shadow: inset 0px 0px 12px #4e4e4e;
    top: 2px;
    right: 2px;
}


/* Notifications */
.notify {
	background: rgba(255, 16, 16, 0.95);
    position: fixed;
	transform: skew(-20deg);
	padding-right: 15px;
	padding-left: 15px;
	border-radius: 2px; 
	height: 35px;
	line-height: 35px;
	box-shadow: -4px 4px 6px #1616169e;
	right: 20px;
    bottom: 30px;
    opacity: 0;
    color: white;
    pointer-events: none;
    animation: 4s ease-out 0s 1 fadeinout;
    -webkit-animation: 4s ease-out 0s 1 fadeinout;
}
@-webkit-keyframes fadeinout {
    0%{
        opacity: 0;
        transform: translateY(100%) skew(-20deg);
    }
    30% {
        opacity: 1;
        transform: translateY(0) skew(-20deg);
        
    }
    70% {
        opacity: 1;
        transform: translateY(0) skew(-20deg);
    }
    100% {
        opacity: 0;
        transform: translateY(0) skew(-20deg);
        display: none;
    }
}
@keyframes fadeinout {
    0%{
        opacity: 0;
        transform: translateY(100%) skew(-20deg);
    }
    30% {
        opacity: 1;
        transform: translateY(0) skew(-20deg);
        
    }
    70% {
        opacity: 1;
        transform: translateY(0) skew(-20deg);
    }
    100% {
        opacity: 0;
        transform: translateY(0) skew(-20deg);
    }
}